chan_s Struct Reference

Lexical tree node data type. More...

`#include <ngram_search.h>`

## Data Fields

hmm_t | hmm
| Basic HMM structure. More...
struct chan_s * | next
| first descendant of this channel; or, in the case of the last phone of a word, the next alternative right context channel
struct chan_s * | alt
| sibling; i.e., next descendant of parent HMM
int32 | ciphone
| ciphone for this node
union {
int32 penult_phn_wid
| list of words whose last phone follows this one; this field indicates the first of the list; the rest must be built up in a separate array. More...
int32 rc_id
| right-context id for last phone of words
} | info

## Detailed Description

Lexical tree node data type.

Not the first HMM for words, which multiplex HMMs based on different left contexts. This structure is used both in the dynamic HMM tree structure and in the per-word last-phone right context fanout.

Definition at line 64 of file ngram_search.h.

## Field Documentation

hmm_t chan_s::hmm

Basic HMM structure.

This must be first in the structure because chan_t and root_chan_t are sometimes used interchangeably

Definition at line 65 of file ngram_search.h.

Referenced by ngram_fwdflat_reinit(), ngram_fwdflat_start(), ngram_fwdtree_start(), ngram_search_alloc_all_rc(), and ngram_search_free_all_rc().

int32 chan_s::penult_phn_wid

list of words whose last phone follows this one; this field indicates the first of the list; the rest must be built up in a separate array.

Used only within HMM tree. -1 if none

Definition at line 75 of file ngram_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ngram_search.h